{{#if listeGrandPrix}}
<div class="center">
  <img src="/image/cat_resultat.png" alt="Image coupe">
</div>
<div class="center">
  <h1>Resultats</h1>
</div>
<div class="center textcenter">
  <form action="/saisirResultat" method="post">
    <label for="gp">Sélectionner un grand prix :</label><br><br>
    <select name="selectGp">
    {{#each listeGrandPrix}}
      <option value="{{this.gpnum}}">{{this.gpnom}}</option>
    {{/each}}
  </select><br>
    <input id="button" type="submit" name="valider" value="Valider"></button>
  </form>
</div>
{{/if}}
{{#if resultats}}
<div class="center">
  <h1>Saisie des résultats</h1>
  <br>
</div>
<div class="center">
  <table class="borderResult">
    <thead>
      <tr>
        <th></th>
        <th>Place</th>
        <th>Pilote</th>
        <th>Temps</th>
        <th>Points</th>
      </tr>
    </thead>
    <tbody>
      {{#each resultats}}
        <tr>
          <td class="imgSupp"><img src='/image/delete.png' alt='suppression' class='imgDelete'></td>
          <td>{{this.place}}</td>
          <td value="{{this.pilnum}}">{{this.pilnom}}</td>
          <td>{{this.temps}}</td>
          <td>{{this.point}}</td>
        </tr>
      {{/each}}
    </tbody>
    <tfoot>
      <tr>
        <td id="futurePlace">X</td>
        <form action="/ajoutResultat/{{gpnum}}" id="formulaire" method="post">
          <td>
            <select name="pilnum" id="pilnom">
              {{#each pilSansResult}}
                <option value="{{this.pilnum}}">{{this.pilnom}}</option>
              {{/each}}
            </select>
          </td>
          <td>
            <input type="number" class="temps" id="heure" name="heure" required>:
            <input type="number" class="temps" id="min" name="min" required>:
            <input type="number" class="temps" id="sec" name="sec" required>
          </td>
          <td id="temps"></td>
          <td id="ajoutTd"><input id="ajout" type="submit" value="OK"></input></td>
        </form>
      </tr>
    </tfoot>
  </table>
</div>


<form action="/suppResultat" method="post" id="formDelete">
  <input type="number" name="gpnum" value="{{gpnum}}" required>
  <input type="number" name="pilnum" id="pilnum" required>
</form>




<script>
let nbPlace = calculPosition() + 1;
document.getElementById('futurePlace').innerHTML = nbPlace;
/*Pour l'envoie du formulaire d'ajout d'un pilote et son temps : */
$("#formulaire").submit(function(){
  let heure = document.getElementById("heure").value;
  let min = document.getElementById("min").value;
  let sec = document.getElementById("sec").value;
  if(checkValeurTemps(heure, min ,sec)){
      heure = formatValeur(heure);
      min = formatValeur(min);
      sec = formatValeur(sec);
      document.getElementById("heure").value = heure;
      document.getElementById("min").value = min;
      document.getElementById("sec").value = sec;
      calculPosition();
      return true;
  }
  alert("Erreur : le temps n'est pas correct.\nVérifiez qu'aucun champs ne soient vides et que leurs valeurs soient comprises entre 0 et 59");
  clearValeurs();
  return false;
});

function checkValeurTemps(heure, min, sec){
  if(heure.length == 0 || heure < 0 || heure > 99 || min.length == 0 || min < 0 || min > 59 || sec.length == 0 || sec < 0 || sec > 59){
    return false;
  }
  return true;
}

function formatValeur(nombre){
  if(nombre < 10){
    return ("0" + nombre).slice(-2);
  }
  return nombre;
}

//permet de clear les valeurs du précédent ajout
function clearValeurs(){
  document.getElementById("heure").value = "";
  document.getElementById("min").value = "";
  document.getElementById("sec").value = "";
}

function calculPosition(){
  let element = document.getElementsByTagName('tbody')[0];
  return element.getElementsByTagName("tr").length;
}

/* Pour l'envoie d'un formulaire ou il s'agit de la suppression d'un pilote */
let imgDelete = document.getElementsByClassName('imgSupp');
for (let i = 0; i < imgDelete.length; i++) {
  imgDelete[i].addEventListener("click", function(){
      suppPilote(imgDelete[i].parentNode.childNodes[5].getAttribute('value'));
      console.log(imgDelete[i].parentNode.childNodes[5].getAttribute('value'));
  });
}

function suppPilote(numpil){
  document.getElementById("pilnum").value = numpil;
  document.getElementById("formDelete").submit();
}
</script>
{{/if}}
